Bug 504837 - gnome clock-applet resizes itself off the right hand edge of the screen
gnome clock-applet resizes itself off the right hand edge of the screen
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 13:42 EDT by Richard W.M. Jones
Modified: 2010-06-08 09:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 09:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 - before opening the applet (316.17 KB, image/png)
2009-06-09 13:50 EDT, Richard W.M. Jones
no flags Details
screenshot 2 - after opening the applet (212.82 KB, image/png)
2009-06-09 13:51 EDT, Richard W.M. Jones
no flags Details
screenshot 3 - after mouseover 'Tokyo' location (212.44 KB, image/png)
2009-06-09 13:51 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2009-06-09 13:42:26 EDT
Description of problem:

(I will attach 3 screenshots to this bug which should
hopefully make the description more clear).

If the Gnome clock applet contains several locations,
then mousing over one of the locations in the applet
can cause the applet to position itself off to the
right of the screen.

Version-Release number of selected component (if applicable):

gnome-panel-2.26.2-1.fc11.x86_64

How reproducible:

Always, on my local machine.

Steps to Reproduce:
1. Set up 3 locations.  I have Tokyo, London and Boston.
2. Click the clock so the applet is displayed.
3. Move mouse over one of the locations, eg. Tokyo.
  
Actual results:

Applet resizes itself and consequently moves off the
right of the screen.

Expected results:

Applet should remain on the screen.

Additional info:

3 screenshots to follow ...
Comment 1 Richard W.M. Jones 2009-06-09 13:44:48 EDT
Additionally I should say that the resize seems to be
caused because a "Set ..." button appears within the
location part of the applet.  The applet is resizing to
cope with this button.
Comment 2 Richard W.M. Jones 2009-06-09 13:50:26 EDT
Created attachment 347063 [details]
screenshot 1 - before opening the applet
Comment 3 Richard W.M. Jones 2009-06-09 13:51:06 EDT
Created attachment 347064 [details]
screenshot 2 - after opening the applet
Comment 4 Richard W.M. Jones 2009-06-09 13:51:49 EDT
Created attachment 347065 [details]
screenshot 3 - after mouseover 'Tokyo' location
Comment 5 Mostafa Afgani 2009-12-23 18:55:12 EST
I can confirm that this bug still exists in gnome-panel-2.28.0-15.fc12
Comment 6 Bug Zapper 2010-04-27 10:42:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Richard W.M. Jones 2010-06-08 09:12:23 EDT
Small visual bug which no one seems to care for.  I don't use
GNOME any more, so I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.